
Installer - Refactor #22335

Automatic CRL Refresh on Puppetserver 2.8.0

01/19/2018 03:40 PM - Iain Walmsley

Status: Closed   

Priority: Low   

Assignee: Iain Walmsley   

Category: Foreman modules   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.15.2

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The installer modules turn on automatic CRL refresh for > 5.1 (as per 

https://github.com/theforeman/puppet-puppet/blob/08f9ad96a16989aa6276809c6e40c909d3a257ce/templates/server/puppetserver/s

ervices.d/ca.cfg.erb#L5) but this isn't done for Puppet server 2.8.0 by default.

History

#1 - 01/19/2018 04:15 PM - Iain Walmsley

- Assignee set to Iain Walmsley

I have a fix that i'll create a PR for.

#2 - 01/19/2018 04:19 PM - Anonymous

- Tracker changed from Bug to Refactor

- Difficulty deleted (trivial)

This was not enabled by default on purpose, as this feature requires Java 8 and we have no way to detect which Java is used by Puppetserver.

#3 - 02/06/2018 09:02 AM - Iain Walmsley

- Status changed from New to Closed

Right okay fair enough, closing this down in that case!
